Package org.apache.sling.auth.saml2.sp

## Class JksCredentials

- java.lang.Object
- - org.apache.sling.auth.saml2.sp.JksCredentials

Direct Known Subclasses:
  `KeyPairCredentials`, `VerifySignatureCredentials`

    public abstract class JksCredentials
    extends Object

Abstract class that provides a method of opening a keystore

### Constructor Summary

Constructors
`protected` `JksCredentials()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static KeyStore` `getKeyStore​(String filePathToJKS, char[] jksPassword)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JksCredentials

    protected JksCredentials()

### Method Detail

#### getKeyStore

    protected static KeyStore getKeyStore​(String filePathToJKS,
                                          char[] jksPassword)

Parameters:
  `filePathToJKS` - Path to the JKS file. Usually it will be relative to the Sling instances, for example, "./sling/exampleSaml2.jks"
  `jksPassword` - Password for the JKS as a char[]
Returns:
  A Keystore instance or throws an uncaught Runtime exception intending to halt the caller's processes.